summaryrefslogtreecommitdiff
path: root/qa/474
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/474
downloadpcp-debian.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/474')
-rwxr-xr-xqa/47449
1 files changed, 49 insertions, 0 deletions
diff --git a/qa/474 b/qa/474
new file mode 100755
index 0000000..8a9d635
--- /dev/null
+++ b/qa/474
@@ -0,0 +1,49 @@
+#!/bin/sh
+# PCP QA Test No. 474
+# multi-thread - help text services for contented contexts
+#
+# Copyright (c) 2011 Ken McDonell. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+_get_libpcp_config
+$multi_threaded || _notrun "No libpcp threading support"
+
+status=0 # success is the default!
+$sudo rm -f $tmp.* /tmp/func?.out $seq.full
+trap "rm -f $tmp.* /tmp/func?.out; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+echo "Only one context ..."
+src/multithread8 localhost
+cat /tmp/func?.out | LC_COLLATE=POSIX sort | uniq -c | sed -e 's/ */ /g'
+
+echo
+echo "Two contexts, same host, different fd's ..."
+src/multithread8 `hostname` localhost
+cat /tmp/func?.out | LC_COLLATE=POSIX sort | uniq -c | sed -e 's/ */ /g'
+
+echo
+echo "Two contexts, same host, same fd's ..."
+src/multithread8 `hostname` `hostname`
+cat /tmp/func?.out | LC_COLLATE=POSIX sort | uniq -c | sed -e 's/ */ /g'
+
+echo
+echo "Three contexts, same host, different fd's ..."
+src/multithread8 `hostname` localhost 127.0.0.1
+cat /tmp/func?.out | LC_COLLATE=POSIX sort | uniq -c | sed -e 's/ */ /g'
+
+echo
+echo "Three contexts, same host, same fd's ..."
+src/multithread8 `hostname` `hostname` `hostname`
+cat /tmp/func?.out | LC_COLLATE=POSIX sort | uniq -c | sed -e 's/ */ /g'
+
+# success, all done
+exit